Loading...
Searching...
No Matches
correlate_access_code_tag_ff.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2005,2006,2011,2012,2017 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DIGITAL_CORRELATE_ACCESS_CODE_TAG_FF_H
#define INCLUDED_DIGITAL_CORRELATE_ACCESS_CODE_TAG_FF_H
#include <gnuradio/digital/api.h>
#include <gnuradio/sync_block.h>
#include <string>
namespace gr {
namespace digital {
/*!
* \brief Examine input for specified access code, one bit at a time.
* \ingroup packet_operators_blk
*
* \details
* input: stream of floats (generally, soft decisions)
* output: unaltered stream of bits (plus tags)
*
* This block annotates the input stream with tags. The tags have
* key name [tag_name], specified in the constructor. Used for
* searching an input data stream for preambles, etc., by slicing
* the soft decision symbol inputs.
*/
class DIGITAL_API correlate_access_code_tag_ff : virtual public sync_block
{
public:
// gr::digital::correlate_access_code_tag_ff::sptr
typedef std::shared_ptr<correlate_access_code_tag_ff> sptr;
/*!
* \param access_code is represented with 1 byte per bit,
* e.g., "010101010111000100"
* \param threshold maximum number of bits that may be wrong
* \param tag_name key of the tag inserted into the tag stream
*/
static sptr
make(const std::string& access_code, int threshold, const std::string& tag_name);
/*!
* \param access_code is represented with 1 byte per bit,
* e.g., "010101010111000100"
*/
virtual bool set_access_code(const std::string& access_code) = 0;
virtual void set_threshold(int threshold) = 0;
virtual void set_tagname(const std::string& tagname) = 0;
};
} /* namespace digital */
} /* namespace gr */
#endif /* INCLUDED_DIGITAL_CORRELATE_ACCESS_CODE_TAG_FF_H */
gr::digital::correlate_access_code_tag_ff
Examine input for specified access code, one bit at a time.
Definition correlate_access_code_tag_ff.h:35
gr::digital::correlate_access_code_tag_ff::make
static sptr make(const std::string &access_code, int threshold, const std::string &tag_name)
gr::digital::correlate_access_code_tag_ff::set_tagname
virtual void set_tagname(const std::string &tagname)=0
gr::digital::correlate_access_code_tag_ff::sptr
std::shared_ptr< correlate_access_code_tag_ff > sptr
Definition correlate_access_code_tag_ff.h:38
gr::digital::correlate_access_code_tag_ff::set_access_code
virtual bool set_access_code(const std::string &access_code)=0
gr::digital::correlate_access_code_tag_ff::set_threshold
virtual void set_threshold(int threshold)=0
gr::sync_block::sync_block
sync_block(void)
Definition sync_block.h:28
api.h
DIGITAL_API
#define DIGITAL_API
Definition gr-digital/include/gnuradio/digital/api.h:18
gr::digital
Definition adaptive_algorithm.h:22
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h